commit d5e6050e601176a15d215977ee0c003957911a56
Author: Ingo Schwarze <schwarze@openbsd.org>
Date:   Sat Aug 4 20:34:15 2018 +0200

    contrib/hdtbl/examples: delete the date and time macros
    
    Printing dates and times while formatting examples is not very useful.
    Besides, the timing data is about two decades old and was obviously
    never again looked at.
    Delete it because it creates noise in buuild logs, hindering
    comparisons.  Also, running groff -U during a build was really ugly.

diff --git a/contrib/hdtbl/ChangeLog b/contrib/hdtbl/ChangeLog
index 5dbfca52..d661271f 100644
--- a/contrib/hdtbl/ChangeLog
+++ b/contrib/hdtbl/ChangeLog
@@ -1,3 +1,8 @@
+2018-08-04  Ingo Schwarze  <schwarze@openbsd.org>
+
+	* examples/*: delete the date and time macros
+	* examples/hdtbl.am: run groff without -U option
+
 2018-02-28  Werner LEMBERG  <wl@gnu.org>
 
 	* hdtbl.am (.roff.ps, .in.roff): Use $(GROFF_V) and $(AM_V_GEN).
diff --git a/contrib/hdtbl/examples/chess_board.roff b/contrib/hdtbl/examples/chess_board.roff
index ab927f97..ee5d3650 100644
--- a/contrib/hdtbl/examples/chess_board.roff
+++ b/contrib/hdtbl/examples/chess_board.roff
@@ -26,8 +26,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .so \*[sopath]examples/common.roff
 .
 .
-.time start
-.
 .nr *x 8
 .de r1
 .TR height=1.6c 
@@ -58,11 +56,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PN 8 .TD ".nr *y +1" \\\\n(*y
 .TD
 .ETB
-.time
-.\"	466MHz Celeron CPU, 384MB RAM
-.\"	WindowsXP/cygwin groff18.1:	  1s
-.\"	WindowsXP/cygwin groff19.2:	  4s
-.\"	Suse Linux 9.3 groff19.2:	  1s
 .
 .\" ====================================================================
 .\" Editor settings
diff --git a/contrib/hdtbl/examples/col_rowspan_colors.roff b/contrib/hdtbl/examples/col_rowspan_colors.roff
index ee8e04f0..da940868 100644
--- a/contrib/hdtbl/examples/col_rowspan_colors.roff
+++ b/contrib/hdtbl/examples/col_rowspan_colors.roff
@@ -25,9 +25,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .so \*[sopath]examples/common.roff
 .
-.\" The "time" macro from common.roff requires groff's -U unsafe mode.
-.time start
-.
 .de color#
 .nr # +1
 .\" Seed the random number generator for reproducible builds.
@@ -77,13 +74,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .brt
 .ETB .ETB
 .PN 15 Text after table.
-.\" "time" and "date" from common.roff require groff's -U unsafe mode.
-.time
-.date
-.\"	466 MHz Celeron CPU, 384 MB RAM
-.\"	WindowsXP/cygwin groff18.1:	 4s
-.\"	WindowsXP/cygwin groff19.2:	 7s
-.\"	Suse Linux 9.3 groff19.2:	 1s
 .
 .\" ====================================================================
 .\" Editor settings
diff --git a/contrib/hdtbl/examples/color_boxes.roff b/contrib/hdtbl/examples/color_boxes.roff
index 9e7726a4..ddb16669 100644
--- a/contrib/hdtbl/examples/color_boxes.roff
+++ b/contrib/hdtbl/examples/color_boxes.roff
@@ -27,7 +27,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .\" Seed the random number generator for reproducible builds.
 .random-seed 131545532 19201711
-.time start
 .
 .H Horizontal Rules and Boxes .br with Randomly Colored Border and Background
 .PN 25 Text before horizontal rule.
@@ -45,11 +44,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PN 15 Text after table.
 .TBL border=.5n bc=color1 bgc=color2 width=15c tal=c csp=.2n cpd=.3n .TR .TD .ETB
 .PN 25 Text after horizontal rule.
-.time
-.\"	466MHz Celeron CPU, 384MB RAM
-.\"	WindowsXP/cygwin groff18.1:	 10s
-.\"	WindowsXP/cygwin groff19.2:	 14s
-.\"	Suse Linux 9.3 groff19.2:	  1s
 .
 .\" ====================================================================
 .\" Editor settings
diff --git a/contrib/hdtbl/examples/color_nested_tables.roff b/contrib/hdtbl/examples/color_nested_tables.roff
index 76137f59..cb0e9c42 100644
--- a/contrib/hdtbl/examples/color_nested_tables.roff
+++ b/contrib/hdtbl/examples/color_nested_tables.roff
@@ -30,7 +30,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .\" Seed the random number generator for reproducible builds.
 .random-seed 131545532 19201711
-.time start
 .
 .PN 15 Text before first table.
 .nr # 0 1
@@ -42,12 +41,8 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PN 39 .ETB
 .PN 15 Text after first table.
 .
-.time
-.
 .bp
 .
-.time start
-.
 .PN 15 Text before second table.
 *****
 .nr # 0 1
@@ -58,13 +53,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PN 39 .ETB
 .PN 25 Text after second table.
 .
-.time
-.
-.\"	466MHz Celeron CPU, 384MB RAM
-.\"	WindowsXP/cygwin groff18.1:	 9/9s
-.\"	WindowsXP/cygwin groff19.2:    14/14s
-.\"	Suse Linux 9.3 groff19.2:	 1/1s
-.
 .\" ====================================================================
 .\" Editor settings
 .\" ====================================================================
diff --git a/contrib/hdtbl/examples/color_table_cells.roff b/contrib/hdtbl/examples/color_table_cells.roff
index dd840f30..2f84b286 100644
--- a/contrib/hdtbl/examples/color_table_cells.roff
+++ b/contrib/hdtbl/examples/color_table_cells.roff
@@ -29,7 +29,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .\" Seed the random number generator for reproducible builds.
 .random-seed 131545532 19201711
-.time start
 .
 .H Horizontal Rules and Randomly Colored Table Cells
 .PN 15 Text before HR.
@@ -47,11 +46,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PN 10 Text after table.
 .TBL border=.5n bc=c1 bgc=c2 width=15c tal=c csp=.2n cpd=.3n .TR .TD .ETB
 .PN 15 Text after HR.
-.time
-.\"	466MHz Celeron CPU, 384MB RAM
-.\"	WindowsXP/cygwin groff18.1:	 14s
-.\"	WindowsXP/cygwin groff19.2:	 18s
-.\"	Suse Linux 9.3 groff19.2:	  1s
 .
 .\" ====================================================================
 .\" Editor settings
diff --git a/contrib/hdtbl/examples/color_transitions.roff b/contrib/hdtbl/examples/color_transitions.roff
index 2d5e7051..27c1400e 100644
--- a/contrib/hdtbl/examples/color_transitions.roff
+++ b/contrib/hdtbl/examples/color_transitions.roff
@@ -27,8 +27,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .so \*[sopath]examples/common.roff
 .
-.time start
-.
 .de ctab
 .nr #cc 0
 .PN 21 ".nr #cc +.05f" ".defcolor \En[t*#] rgb \\$1 \\$2 \\$3" ".TBL border= csp=0 cpd=.5n bgc=\\\\n[t*#] bc=" .TR .TD
@@ -52,11 +50,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .xTD ".ctab 0+\En[#cc]u 1f-\En[#cc]u 1f-\En[#cc]u"\"	cyan   -> red
 .ETB 
 .PN 30 After table.
-.time
-.\"	466MHz Celeron CPU, 384MB RAM
-.\"	WindowsXP/cygwin groff18.1:	 3s
-.\"	WindowsXP/cygwin groff19.2:	20s
-.\"	Suse Linux 9.3 groff19.2	 3s
 .
 .\" ====================================================================
 .\" Editor settings
diff --git a/contrib/hdtbl/examples/common.roff b/contrib/hdtbl/examples/common.roff
index 6328d010..50071879 100644
--- a/contrib/hdtbl/examples/common.roff
+++ b/contrib/hdtbl/examples/common.roff
@@ -31,12 +31,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .\"	******************************************************************
 .
 .\"	******************************************************************
-.\"	**	some of the following macros use system commands	**
-.\"	**	and are therefore 'unsafe': they need the '-U' argument **
-.\"	**	when calling groff/troff				**
-.\"	******************************************************************
-.
-.\"	******************************************************************
 .\"	**		Header macro for the examples			**
 .\"	******************************************************************
 .de H
@@ -59,42 +53,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .
 .\"	******************************************************************
-.\"	**	Utility macro for the date, requires UNIX date.		**
-.\"	**	**** Requires unsafe mode ("groff -U").			**
-.\"	**	after return string *date contains the date in the	**
-.\"	**	standard form of the Unix date-command,			**
-.\"	**	for example "Sun Dec  5 22:27:57     2004"		**
-.\"	******************************************************************
-.de date
-.  pso sh -c "echo -n .ds *date\ ;date"
-.  tm \\*[common]: \\*[*date] ***
-..
-.
-.
-.\"	******************************************************************
-.\"	**	Utility macro for time measurement, requires UNIX date.	**
-.\"	**	**** Requires unsafe mode ("groff -U").			**
-.\"	**	.time s[tart]|[end]					**
-.\"	**		.time start:					**
-.\"	**			reg *time gets the start-time (seconds) **
-.\"	**		.time [end]:					**
-.\"	**			reg *time gets the difference of the	**
-.\"	**				end- and start-time (seconds)	**
-.\"	******************************************************************
-.de time
-.  ds * \\$1\"
-.  substring * 0 0
-.  ie "\\*[*]"s" \
-.    pso sh -c "echo -n .nr *time 0+;date +%s"
-.  el \{\
-.   pso sh -c "echo -n .nr *time -;date +%s"
-.   nr *time 0-\\n[*time]
-.   tm \\*[common]: elapsed time: \\n[*time] seconds
-.  \}
-..
-.
-.
-.\"	******************************************************************
 .\"	**		Perform n-times all the arbitrary arguments	**
 .\"	**		.PN n a2 a3 ...					**
 .\"	**			PN is nestable				**
diff --git a/contrib/hdtbl/examples/fonts_n.in b/contrib/hdtbl/examples/fonts_n.in
index bbbc943e..3045a9d5 100644
--- a/contrib/hdtbl/examples/fonts_n.in
+++ b/contrib/hdtbl/examples/fonts_n.in
@@ -40,8 +40,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .so \*[sopath]examples/common.roff
 .
-.time start
-.
 .if !d fontpath \
 .  ds fontpath @fontdir@
 .
@@ -142,14 +140,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .fontdump all
 .
-.time
-.date
-.
-.\"	466MHz Celeron CPU, 384MB RAM
-.\"	WindowsXP/cygwin groff18.1:	115s
-.\"	WindowsXP/cygwin groff19.2:	450s
-.\"	Suse Linux 9.3 groff19.2:	 76s
-.
 .\" ====================================================================
 .\" Editor settings
 .\" ====================================================================
diff --git a/contrib/hdtbl/examples/fonts_x.in b/contrib/hdtbl/examples/fonts_x.in
index f1487818..3c5ff1c1 100644
--- a/contrib/hdtbl/examples/fonts_x.in
+++ b/contrib/hdtbl/examples/fonts_x.in
@@ -40,8 +40,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .so \*[sopath]examples/common.roff
 .
-.time start
-.
 .if !d fontpath \
 .  ds fontpath @fontdir@
 .
@@ -153,14 +151,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .fontdump all
 .
-.time
-.date
-.
-.\"	466MHz Celeron CPU, 384MB RAM
-.\"	WindowsXP/cygwin groff18.1:	107s
-.\"	WindowsXP/cygwin groff19.2:	390s
-.\"	Suse Linux 9.3 groff19.2:	 66s
-.
 .\" ====================================================================
 .\" Editor settings
 .\" ====================================================================
diff --git a/contrib/hdtbl/examples/mixed_pickles.roff b/contrib/hdtbl/examples/mixed_pickles.roff
index 58a1087b..190c8608 100644
--- a/contrib/hdtbl/examples/mixed_pickles.roff
+++ b/contrib/hdtbl/examples/mixed_pickles.roff
@@ -27,8 +27,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .so \*[sopath]examples/common.roff
 .
-.time start
-.
 .H Table with Mixed Content: \
    .br \
    EPS Image, eqn Equation, tbl Table, and pic Picture
@@ -95,13 +93,6 @@ ellipse "PostScript"
 .      ETB
 .ETB
 .
-.time
-.
-.\"	466MHz Celeron CPU, 384MB RAM
-.\"	WindowsXP/cygwin groff18.1:	  1s
-.\"	WindowsXP/cygwin groff19.2:	  2s
-.\"	Suse Linux 9.3 groff19.2:	  1s
-.
 .\" ====================================================================
 .\" Editor settings
 .\" ====================================================================
diff --git a/contrib/hdtbl/examples/rainbow.roff b/contrib/hdtbl/examples/rainbow.roff
index 5cacc031..8c2553f8 100644
--- a/contrib/hdtbl/examples/rainbow.roff
+++ b/contrib/hdtbl/examples/rainbow.roff
@@ -27,8 +27,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .so \*[sopath]examples/common.roff
 .
-.time start
-.
 .nr *n 25
 .nr *# 0 1
 .
@@ -54,12 +52,8 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .PN 6*\n[*n] .ETB
 .
-.time end
-.
 .bp
 .
-.time start
-.
 .nr *n 25
 .nr *# 0 1
 .
@@ -85,13 +79,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .PN 6*\n[*n] .ETB
 .
-.time end
-.
-.\"	466MHz Celeron CPU, 384MB RAM
-.\"	WindowsXP/cygwin groff18.1:	11/10s
-.\"	WindowsXP/cygwin groff19.2:	57/55s
-.\"	Suse Linux 9.3 groff19.2:	  8/8s
-.
 .\" ====================================================================
 .\" Editor settings
 .\" ====================================================================
diff --git a/contrib/hdtbl/examples/short_reference.roff b/contrib/hdtbl/examples/short_reference.roff
index ec104af5..ecee6ba3 100644
--- a/contrib/hdtbl/examples/short_reference.roff
+++ b/contrib/hdtbl/examples/short_reference.roff
@@ -27,8 +27,6 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .
 .so \*[sopath]examples/common.roff
 .
-.time start
-.
 .pv 1.2 1.2 "" x
 .H Short Reference for the HDtbl-Macros
 This Short Reference describes the Heidelberger Table Macros
@@ -80,7 +78,6 @@ using the macros themselves.
 .TD color of border and cellseperatorlines .TD .ce X .TD .TD .ce X .TD .ce X .TD .ce X .TD
 .ETB
 .H ------ incomplete -------
-.time end
 .
 .\" ====================================================================
 .\" Editor settings
diff --git a/contrib/hdtbl/hdtbl.am b/contrib/hdtbl/hdtbl.am
index bdc657b1..1b80a9a9 100644
--- a/contrib/hdtbl/hdtbl.am
+++ b/contrib/hdtbl/hdtbl.am
@@ -26,7 +26,7 @@ man7_MANS += contrib/hdtbl/groff_hdtbl.7
 
 # Groff command used to generate .ps files
 HDTBL_TFLAG = -M$(hdtbl_srcdir) -M$(hdtbl_builddir)
-HDTLB_PFLAG=-t -p -e -U
+HDTLB_PFLAG=-t -p -e
 HDTBLGROFF = \
   GROFF_COMMAND_PREFIX= \
   GROFF_BIN_PATH="$(GROFF_BIN_PATH)" \
